2017-05-23  Natalia Portillo  <claunia@claunia.com>

	* SS.cs:
	* DiscImageChef.Decoders.csproj: Added support for Xbox
	  security sector.

2017-05-23  Natalia Portillo  <claunia@claunia.com>

	* Inquiry.cs: Detect Kreon firmware.

2017-05-19  Natalia Portillo  <claunia@claunia.com>

	* PMA.cs:
	* TOC.cs:
	* CSD.cs:
	* PRI.cs:
	* PFI.cs:
	* DMI.cs:
	* BCA.cs:
	* DDS.cs:
	* RMD.cs:
	* LisaTag.cs:
	* OCR.cs:
	* UDI.cs:
	* CID.cs:
	* ATIP.cs:
	* AACS.cs:
	* ADIP.cs:
	* CPRM.cs:
	* DMI.cs:
	* Enums.cs:
	* EVPD.cs:
	* Sector.cs:
	* Spare.cs:
	* Enums.cs:
	* Layers.cs:
	* ISO.cs:
	* Sense.cs:
	* Types.cs:
	* Errors.cs:
	* DI.cs:
	* FullTOC.cs:
	* Session.cs:
	* CIS.cs:
	* Enums.cs:
	* Modes.cs:
	* DDS.cs:
	* BCA.cs:
	* CSS&CPRM.cs:
	* Amiga.cs:
	* Identify.cs:
	* Enums.cs:
	* Types.cs:
	* Inquiry.cs:
	* Enums.cs:
	* Apple2.cs:
	* Spare.cs:
	* CPRM.cs:
	* Cartridge.cs:
	* AACS.cs:
	* Enums.cs:
	* ExtendedCSD.cs:
	* System34.cs:
	* Hybrid.cs:
	* AppleSony.cs:
	* Commodore.cs:
	* VendorString.cs:
	* CID.cs:
	* System3740.cs:
	* CSD.cs:
	* Features.cs:
	* VendorCode.cs:
	* Cartridge.cs:
	* CDTextOnLeadIn.cs:
	* VendorString.cs:
	* OCR.cs:
	* SCR.cs:
	* ModesEncoders.cs:
	* Perpendicular.cs:
	* BlockLimits.cs:
	* WriteProtect.cs:
	* DensitySupport.cs:
	* AssemblyInfo.cs:
	* DiscInformation.cs:
	* VendorString.cs:
	* DiscStructureCapabilities.cs: Updated copyright string.

2017-05-19  Natalia Portillo  <claunia@claunia.com>

	* AssemblyInfo.cs: Bumped version to 3.3.99.0.

2017-05-19  Natalia Portillo  <claunia@claunia.com>

	* DiscImageChef.Decoders.csproj: Upped version to 3.3.99.0. Do
	  not use version from solution on library projects.

2016-10-22  Natalia Portillo  <claunia@claunia.com>

	* OCR.cs:
	* CID.cs:
	* CSD.cs:
	* ExtendedCSD.cs:
	* VendorString.cs:
	* SCR.cs:
	* CID.cs:
	* CSD.cs:
	* OCR.cs:
	* DiscImageChef.Decoders.csproj:
	* VendorString.cs: Add MMC/SecureDigital device support. Not
	yet used because of a bad implementation of SEND_CSD and
	SEND_CID commands (TODO).

2016-10-17  Natalia Portillo  <claunia@claunia.com>

	* CIS.cs:
	* Enums.cs:
	* Types.cs:
	* VendorCode.cs:
	* DiscImageChef.Decoders.csproj: Added PCMCIA support.

2016-10-16  Natalia Portillo  <claunia@claunia.com>

	* EVPD.cs: Corrected typo. Cleaned code.

2016-10-14  Natalia Portillo  <claunia@claunia.com>

	* EVPD.cs:
	* Inquiry.cs: Added Seagate EVPD and INQUIRY fields.

2016-10-14  Natalia Portillo  <claunia@claunia.com>

	* Modes.cs: Added Apple OEM MODE page 30h.

2016-10-14  Natalia Portillo  <claunia@claunia.com>

	* EVPD.cs:
	* Modes.cs:
	* Inquiry.cs: Added HP vendor EVPD, MODE pages and INQUIRY
	fields.

2016-10-14  Natalia Portillo  <claunia@claunia.com>

	* EVPD.cs: Added EVPD pages B1h, B2h, B3h and B4h.

2016-10-13  Natalia Portillo  <claunia@claunia.com>

	* EVPD.cs: Added EVPD page B0h.

2016-10-13  Natalia Portillo  <claunia@claunia.com>

	* EVPD.cs:
	* Modes.cs:
	* Inquiry.cs: Added IBM vendor EVPD, MODE pages and INQUIRY
	fields.

2016-10-13  Natalia Portillo  <claunia@claunia.com>

	* Modes.cs: Added MODE PAGE 1Dh

2016-10-13  Natalia Portillo  <claunia@claunia.com>

	* EVPD.cs:
	* Modes.cs: Added Certance vendor mode pages 21h and 22h.

2016-10-13  Natalia Portillo  <claunia@claunia.com>

	* EVPD.cs: Added Certance vendor EVPD pages.

2016-10-13  Natalia Portillo  <claunia@claunia.com>

	* EVPD.cs:
	* Inquiry.cs: Added Quantum vendor INQUIRY values and EVPD
	page C0h.

2016-10-13  Natalia Portillo  <claunia@claunia.com>

	* EVPD.cs: Added EVPD page 89h, SCSI to ATA translation layer

2016-10-13  Natalia Portillo  <claunia@claunia.com>

	* EVPD.cs: Updated page 85h to SPC-5.

2016-10-13  Natalia Portillo  <claunia@claunia.com>

	* EVPD.cs: Add EVPD page 85h, management network addresses.

2016-10-13  Natalia Portillo  <claunia@claunia.com>

	* EVPD.cs:
	* Enums.cs: Added EVPD page 81h, implemented operating
	definition page.

2016-10-13  Natalia Portillo  <claunia@claunia.com>

	* EVPD.cs:
	* Modes.cs:
	* Enums.cs: Updated EVPD Page 83h to SPC-5.

2016-10-13  Natalia Portillo  <claunia@claunia.com>

	* EVPD.cs: Added SCSI EVPD page 83h.

2016-10-13  Natalia Portillo  <claunia@claunia.com>

	* EVPD.cs: Implemented SCSI EVPD 82h

2016-10-13  Natalia Portillo  <claunia@claunia.com>

	* Modes.cs: Added support for SCSI MODE PAGEs 11h, 12h, 13h
	and 14h (medium partitions)

2016-10-10  Natalia Portillo  <claunia@claunia.com>

	* Modes.cs: Added DDS-2.
	Corrected casting of density enumeration.

	* Types.cs: Added DDS-2

2016-10-08  Natalia Portillo  <claunia@claunia.com>

	* Sector.cs:
	* DiscImageChef.Decoders.csproj: Added CD sector descrambling.

2016-10-07  Natalia Portillo  <claunia@claunia.com>

	* Apple2.cs: Adds support for marshaling a whole disk, tracks
	and sectors as well as decoding sectors in 5and3 and 6and2
	GCRs.

	* AppleSony.cs: Adds support for marshaling a whole disk,
	tracks and sectors as well as decoding GCR sectors.

2016-08-22  Natalia Portillo  <claunia@claunia.com>

	* LisaTag.cs: Removed temporal variable.

2016-08-21  Natalia Portillo  <claunia@claunia.com>

	* LisaTag.cs:
	* DiscImageChef.Decoders.csproj: Separate Lisa tag decoding
	from Lisa filesystem and added Priam tags.

2016-08-18  Natalia Portillo  <claunia@claunia.com>

	* ATIP.cs: Make ATIP manufacturer resolver a public method.

	* Features.cs: Added HDBurn profiles.

	* Modes.cs: Corrected typo.

2016-08-09  Natalia Portillo  <claunia@claunia.com>

	* DiscImageChef.Decoders.csproj: Bumped version to 3.2.99.2.

2016-08-07  Natalia Portillo  <claunia@claunia.com>

	* DiscImageChef.Decoders.csproj: Public beta release 3.2.99.1.

2016-08-01  Natalia Portillo  <claunia@claunia.com>

	* AssemblyInfo.cs:
	* DiscImageChef.Decoders.csproj: Bumped to version 3.2.1.

2016-08-01  Natalia Portillo  <claunia@claunia.com>

	* AssemblyInfo.cs:
	* DiscImageChef.Decoders.csproj: Bump to version 3.2.0

2016-07-29  Natalia Portillo  <claunia@claunia.com>

	* DiscImageChef.Decoders.csproj: Bump to version 3.1.0.

2016-07-28  Natalia Portillo  <claunia@claunia.com>

	* Modes.cs:
	* BlockLimits.cs:
	* DensitySupport.cs:
	* DiscImageChef.Decoders.csproj: Code re-styling.

2016-07-28  Natalia Portillo  <claunia@claunia.com>

	* PMA.cs:
	* TOC.cs:
	* PFI.cs:
	* DMI.cs:
	* ATIP.cs:
	* DDS.cs:
	* PRI.cs:
	* RMD.cs:
	* BCA.cs:
	* UDI.cs:
	* ADIP.cs:
	* AACS.cs:
	* DMI.cs:
	* Enums.cs:
	* CPRM.cs:
	* Spare.cs:
	* EVPD.cs:
	* Enums.cs:
	* ISO.cs:
	* Errors.cs:
	* Enums.cs:
	* Modes.cs:
	* Sense.cs:
	* Types.cs:
	* DI.cs:
	* Session.cs:
	* FullTOC.cs:
	* Layers.cs:
	* BCA.cs:
	* DDS.cs:
	* CSS&CPRM.cs:
	* Inquiry.cs:
	* Identify.cs:
	* Enums.cs:
	* Amiga.cs:
	* Apple2.cs:
	* CPRM.cs:
	* AACS.cs:
	* Spare.cs:
	* Cartridge.cs:
	* Enums.cs:
	* System34.cs:
	* Hybrid.cs:
	* AppleSony.cs:
	* Commodore.cs:
	* CDTextOnLeadIn.cs:
	* Cartridge.cs:
	* System3740.cs:
	* Features.cs:
	* VendorString.cs:
	* Perpendicular.cs:
	* BlockLimits.cs:
	* WriteProtect.cs:
	* DensitySupport.cs:
	* DiscInformation.cs:
	* DiscStructureCapabilities.cs: Refactor and code cleanup.

2016-02-05  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Sense.cs:
	  Corrected handling when sense contains multiple repeated
	  sense codes, in a not clean way (just ignoring repeats).

2016-02-04  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	* SCSI/ModesEncoders.cs:
	* DiscImageChef.Decoders.csproj:
	  Added encoders for Mode 6 and 10, Mode pages 0x01 and 0x01
	  for MultiMedia Devices.

2016-02-03  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Inquiry.cs:
	  Corrected bug on inquiry decoding.

	* SCSI/Modes.cs:
	  Corrected bug on decoding mode page 2Ah without write
	  performance descriptors.
	Corrected bug when there is a vendor page 0 in mode sense
	  decoding.

2016-01-15  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Implement decoding Fujitsu Verify Control Page.

2016-01-15  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	* SCSI/Types.cs:
	  Added all known vendor density and medium type codes.

2016-01-15  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	* SCSI/Types.cs:
	* DiscImageChef.Decoders.csproj:
	  Moved density and medium type codes to a separate file.

2016-01-15  Natalia Portillo  <claunia@claunia.com>

	* SCSI/SSC/BlockLimits.cs:
	* SCSI/SSC/DensitySupport.cs:
	* DiscImageChef.Decoders.csproj:
	  Added decoders for SCSI SSC READ BLOCK LIMITS and REPORT
	  DENSITY SUPPORT.

	* SCSI/Modes.cs:
	  Corrected mode size.

2015-12-30  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Inquiry.cs:
	  Fixes decoding for devices that follow old 5-byte SCSI
	  INQUIRY format.

	* SCSI/Sense.cs:
	  Fixes printing of sense block missing a newline.

2015-12-14  Natalia Portillo  <claunia@claunia.com>

	* CD/ATIP.cs:
	  Checked more information, GCK is Grupo Condor S.L. from
	  Spain.

2015-12-13  Natalia Portillo  <claunia@claunia.com>

	* CD/ATIP.cs:
	  Added manufacturer code for a GCK disc I just came upon.

2015-12-04  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Sense.cs:
	  Additional length may be bigger than provided buffer.

2015-12-04  Natalia Portillo  <claunia@claunia.com>

	* DVD/PFI.cs:
	* DVD/Enums.cs:
	  Added HD DVD types.

	* SCSI/Sense.cs:
	  Solved SCSI sense decoding.

2015-12-04  Natalia Portillo  <claunia@claunia.com>

	* CD/ATIP.cs:
	  Added disc type and manufacturer lookup from ATIP.

	* CD/PMA.cs:
	  Implement full PMA decoding.

	* CD/FullTOC.cs:
	  Implement decoding disc ID.

	* SCSI/MMC/DiscInformation.cs:
	  Disc ID is 24-bit.

	* CD/CDTextOnLeadIn.cs:
	  CD-TEXT can be empty without being null, do not decode an
	  empty one.

2015-12-04  Natalia Portillo  <claunia@claunia.com>

	* CD/CDTextOnLeadIn.cs:
	  Finally CD-Text on lead-in is getting decoded correctly...

2015-12-04  Natalia Portillo  <claunia@claunia.com>

	* CD/FullTOC.cs:
	  Enhanced prettify to be more verbose.

	* CD/TOC.cs:
	  Corrected typo.

2015-12-03  Natalia Portillo  <claunia@claunia.com>

	* CD/TOC.cs:
	* CD/FullTOC.cs:
	  Added support for CD-V.
	Added support for CD-DA.

	* CD/Enums.cs:
	  Added support for CD-V.

2015-12-03  Natalia Portillo  <claunia@claunia.com>

	* DVD/PFI.cs:
	* DVD/Enums.cs:
	  Added support for Nintendo GOD and WOD.

2015-12-03  Natalia Portillo  <claunia@claunia.com>

	* Xbox/DMI.cs:
	* DiscImageChef.Decoders.csproj:
	  Added decoding of XGD2 and XGD3 DMI.

2015-12-02  Natalia Portillo  <claunia@claunia.com>

	* DVD/PFI.cs:
	* DVD/Enums.cs:
	* DVD/CSS&CPRM.cs:
	  Use global enums for DVD structure decoding.

2015-12-02  Natalia Portillo  <claunia@claunia.com>

	* DVD/Spare.cs:
	  Implemented decoding DVD-RAM Spare Area Information.

2015-12-02  Natalia Portillo  <claunia@claunia.com>

	* DVD/Cartridge.cs:
	  Implemented decoding DVD-RAM medium status.

2015-12-02  Natalia Portillo  <claunia@claunia.com>

	* DVD/DDS.cs:
	  Added DDS decoding.

2015-12-01  Natalia Portillo  <claunia@claunia.com>

	* DVD/CSS&CPRM.cs:
	  Must return value.

2015-12-01  Natalia Portillo  <claunia@claunia.com>

	* DVD/CSS&CPRM.cs:
	  Added decoding Lead-In CMI for DVD.

2015-12-01  Natalia Portillo  <claunia@claunia.com>

	* Blu-ray/DI.cs:
	* Blu-ray/BD.cs:
	* Blu-ray/BCA.cs:
	* Blu-ray/DDS.cs:
	* Blu-ray/Spare.cs:
	* Blu-ray/Cartridge.cs:
	* DiscImageChef.Decoders.csproj:
	  Separated blu-ray structure decoders.

2015-12-01  Natalia Portillo  <claunia@claunia.com>

	* DVD/PFI.cs:
	  Added PFI decoding.

2015-11-27  Natalia Portillo  <claunia@claunia.com>

	* DVD/PFI.cs:
	  Solved repeated field names.

2015-11-27  Natalia Portillo  <claunia@claunia.com>

	* DVD/PFI.cs:
	  Added PFI information from all ECMA standards.

2015-11-24  Natalia Portillo  <claunia@claunia.com>

	* SCSI/MMC/OPW.cs:
	* SCSI/MMC/TrackInformation.cs:
	* DiscImageChef.Decoders.csproj:
	  Reorganized media-info command so only applicable
	  information is requested based on what we are being informed
	  about media type.

2015-11-24  Natalia Portillo  <claunia@claunia.com>

	* SCSI/MMC/DiscInformation.cs:
	  Added decoding and prettifying READ DISC INFORMATION.

2015-11-24  Natalia Portillo  <claunia@claunia.com>

	* CD/ATIP.cs:
	  ATIP not always contain S4.
	Corrected typo.

	* CD/Session.cs:
	  Added missing newlines.

	* CD/TOC.cs:
	  Added missing newlines.
	Recognize Lead-Out track.

	* SCSI/MMC/DiscInformation.cs:
	  Added structures for Disc Informations 001b and 010b.

2015-11-23  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Sense.cs:
	  Typo

2015-11-23  Natalia Portillo  <claunia@claunia.com>

	* ATA/Errors.cs:
	* DiscImageChef.Decoders.csproj:
	  Moved ATA register definition to a more common place.

	* SCSI/Sense.cs:
	  Added information from SAT-4.

2015-11-23  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Sense.cs:
	  Added information from SPC-5.

2015-11-23  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Sense.cs:
	* DiscImageChef.Decoders.csproj:
	  Added decoding SCSI SENSE as defined in SCSI-2.

2015-11-05  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Check for vendor pages not following page format (even if
	  they must).

2015-11-02  Natalia Portillo  <claunia@claunia.com>

	* DiscImageChef.Decoders.csproj:
	* SCSI/DiscStructureCapabilities.cs:
	  Added READ DISC STRUCTURE.

2015-11-01  Natalia Portillo  <claunia@claunia.com>

	* SCSI/MMC/Features.cs:
	  Reword Feature 0105h.
	Correct handling of feature 010Ch.

2015-11-01  Natalia Portillo  <claunia@claunia.com>

	* SCSI/MMC/Features.cs:
	  Correct math priority

2015-11-01  Natalia Portillo  <claunia@claunia.com>

	* SCSI/MMC/Features.cs:
	  Added code to separate features and the feature header.

2015-11-01  Natalia Portillo  <claunia@claunia.com>

	* SCSI/MMC/Features.cs:
	  Implemented prettifying all known features.

2015-11-01  Natalia Portillo  <claunia@claunia.com>

	* SCSI/MMC/Features.cs:
	  Implemented decoding all known features.

2015-11-01  Natalia Portillo  <claunia@claunia.com>

	* SCSI/MMC/Features.cs:
	  Added structures from MMC-6.

2015-11-01  Natalia Portillo  <claunia@claunia.com>

	* SCSI/MMC/Features.cs:
	  Added structures from MMC-5.

2015-11-01  Natalia Portillo  <claunia@claunia.com>

	* SCSI/MMC/Features.cs:
	  Added feature structures from MMC-4.

2015-11-01  Natalia Portillo  <claunia@claunia.com>

	* SCSI/MMC/Features.cs:
	  Added features structures from MMC-3.

2015-11-01  Natalia Portillo  <claunia@claunia.com>

	* SCSI/MMC/Features.cs:
	* DiscImageChef.Decoders.csproj:
	  Added feature structures from MMC-1.

2015-10-31  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Solved some bugs found testing on usb flash sticks.

2015-10-31  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Polished some bugs and typos and format

2015-10-31  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Implemented decoding MODE SENSE.

2015-10-31  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Added LongLBA MODE SENSE(10) support.

2015-10-31  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Added information from MMC-3.

2015-10-31  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Added information from MMC-2.

2015-10-31  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Added information from MMC-1 Draft.

2015-10-31  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Added information from USB Mass Storage Class – UFI Command
	  Specification.

2015-10-31  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Implemented Mode Page 0x00: Drive Operation Mode page.

2015-10-31  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Added information from INF-8070.

2015-10-31  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Implemented Mode Page 0x1C: Timer & Protect page.

2015-10-31  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Implemented Mode Page 0x1B: Removable Block Access
	  Capabilities page.

2015-10-31  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Added information from ANSI X3.304-1997 (MMC-1).

2015-10-31  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Added information from SSC-2.

2015-10-31  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Added information from SSC-1

2015-10-31  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Implemented Mode Page 0x0F: Data compression page.

2015-10-31  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Added information from USB Mass Storage Class - UFI Command
	  Specification

2015-10-31  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Implemented Mode Page 0x1C subpage 0x01: Background Control
	  mode page.

2015-10-31  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Added information from SBC-3.

2015-10-31  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Added information from SBC-2.

2015-10-31  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Implemented decoding mode page 10h for direct-access
	  devices.

2015-10-30  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Implemented decoding mode page 1Ah subpage 01h.

2015-10-30  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Added information from SPC-5.

2015-10-30  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Added information from SPC-3.

2015-10-30  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Implemented decoding mode page 0Ah subpage 01h.

2015-10-30  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Prevent decoding subpages on subpage 00h decoders.

2015-10-30  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Implemented decoding mode page 1Ah.

2015-10-30  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Implemented decoding mode page 1Ch.

2015-10-30  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Added information from SFF-8020i.

2015-10-30  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Implemented decoding mode page 2Ah.

2015-10-30  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Implemented decoding mode page 06h.

2015-10-30  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Implemented decoding mode pages 01h and 07h for multimedia
	  devices.

2015-10-30  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Implement decoding mode page 0Dh.

2015-10-30  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Modify mode page 01h decoding for CD-ROM returned mode page
	  size.

2015-10-30  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Implemented decoding mode page 0Eh.

2015-10-30  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Implemented decoding mode page 10h.

2015-10-30  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Implemented decoding mode page 07h.

2015-10-30  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Implemented decoding mode page 04h.

2015-10-30  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Implemented decoding mode page 01h.

2015-10-30  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Implemented decoding mode page 0Bh.

2015-10-30  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Typo

2015-10-30  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Implemented decoding mode page 03h.

2015-10-29  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Implemented decoding mode page 05h.

2015-10-29  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Implemented decoding mode page 08h.

2015-10-25  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Implemented decoding mode page 02h.

2015-10-25  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Implemented decoding mode page 0Ah.

2015-10-25  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Added method for decoding MODE SENSE(10) response.

2015-10-25  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Added information from SCSI-3 SBC-1.

2015-10-24  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	  Added header information from SCSI-2.

2015-10-24  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Modes.cs:
	* DiscImageChef.Decoders.csproj:
	  Implement SCSI-1 Mode Page decoding.

2015-10-23  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Enums.cs:
	* SCSI/Inquiry.cs:
	  Added information from ECMA-111.

2015-10-19  Natalia Portillo  <claunia@claunia.com>

	* SCSI/EVPD.cs:
	* DiscImageChef.Decoders.csproj:
	  Implemented SCSI VPDs 0x00 to 0x80.

2015-10-19  Natalia Portillo  <claunia@claunia.com>

	* ATA/Identify.cs:
	  Remove unused code.

2015-10-19  Natalia Portillo  <claunia@claunia.com>

	* ATA/ATA.cs:
	* ATA/Identify.cs:
	* DiscImageChef.Decoders.csproj:
	  Rename fields, methods and structs to more adequate names.

2015-10-19  Natalia Portillo  <claunia@claunia.com>

	* ATA/ATA.cs:
	  Rename SCSI decoders fields, methods and structs to more
	  adequate names.

	* SCSI/MMC/MMC.cs:
	* DiscImageChef.Decoders.csproj:
	  Separated SCSI decoders by type.

	* SCSI/Enums.cs:
	* SCSI/Inquiry.cs:
	* SCSI/VendorString.cs:
	  Rename fields, methods and structs to more adequate names.

2015-10-19  Natalia Portillo  <claunia@claunia.com>

	* SCSI/Enums.cs:
	* SCSI/Inquiry.cs:
	* SCSI/MMC/OPW.cs:
	* SCSI/MMC/MMC.cs:
	* SCSI/MMC/AACS.cs:
	* SCSI/MMC/CPRM.cs:
	* SCSI/MMC/Enums.cs:
	* SCSI/MMC/Hybrid.cs:
	* SCSI/VendorString.cs:
	* SCSI/MMC/WriteProtect.cs:
	* SCSI/MMC/DiscInformation.cs:
	* SCSI/MMC/TrackInformation.cs:
	* DiscImageChef.Decoders.csproj:
	  Separated SCSI decoders by type.

2015-10-19  Natalia Portillo  <claunia@claunia.com>

	* CD/TOC.cs:
	* CD/PMA.cs:
	* CD/ATIP.cs:
	* CD/Session.cs:
	* CD/FullTOC.cs:
	* CD/CDTextOnLeadIn.cs:
	  Rename fields, methods and structs to more adequate names.

2015-10-19  Natalia Portillo  <claunia@claunia.com>

	* CD/CD.cs:
	* CD/TOC.cs:
	* CD/PMA.cs:
	* CD/ATIP.cs:
	* CD/Enums.cs:
	* CD/FullTOC.cs:
	* CD/Session.cs:
	* CD/CDTextOnLeadIn.cs:
	* DiscImageChef.Decoders.csproj:
	  Separated CD decoders by type.

2015-10-19  Natalia Portillo  <claunia@claunia.com>

	* DVD/DVD.cs:
	* DVD/DMI.cs:
	* DVD/DDS.cs:
	* DVD/PFI.cs:
	* DVD/PRI.cs:
	* DVD/RMD.cs:
	* DVD/BCA.cs:
	* DVD/UDI.cs:
	* DVD/AACS.cs:
	* DVD/ADIP.cs:
	* DVD/CPRM.cs:
	* DVD/Spare.cs:
	* DVD/Enums.cs:
	* DVD/Layers.cs:
	* DVD/CSS&CPRM.cs:
	* DVD/Cartridge.cs:
	* DiscImageChef.Decoders.csproj:
	  Separated DVD decoders by type.

2015-10-19  Natalia Portillo  <claunia@claunia.com>

	* Floppy/ISO.cs:
	* Floppy/Amiga.cs:
	* Floppy/Enums.cs:
	* Floppy/Apple2.cs:
	* Floppy/System34.cs:
	* Floppy/Commodore.cs:
	* Floppy/AppleSony.cs:
	* Floppy/System3740.cs:
	* Floppy/Perpendicular.cs:
	  Rename fields, methods and structs to more adequate names.

2015-10-19  Natalia Portillo  <claunia@claunia.com>

	* Floppy/ISO.cs:
	* Floppy/Amiga.cs:
	* Floppy/Enums.cs:
	* Floppy/Floppy.cs:
	* Floppy/Apple2.cs:
	* Floppy/System34.cs:
	* Floppy/Commodore.cs:
	* Floppy/AppleSony.cs:
	* Floppy/System3740.cs:
	* Floppy/Perpendicular.cs:
	* DiscImageChef.Decoders.csproj:
	  Separated floppy decoders by type.

2015-10-19  Natalia Portillo  <claunia@claunia.com>

	* BD.cs:
	* CD.cs:
	* ATA.cs:
	* MMC.cs:
	* DVD.cs:
	* SCSI.cs:
	* CD/CD.cs:
	* Floppy.cs:
	* ATA/ATA.cs:
	* DVD/DVD.cs:
	* Blu-ray/BD.cs:
	* SCSI/Inquiry.cs:
	* SCSI/MMC/MMC.cs:
	* Floppy/Floppy.cs:
	* DiscImageChef.Decoders.csproj:
	  Organize decoders files&folders

2015-10-19  Natalia Portillo  <claunia@claunia.com>

	* ATA.cs:
	  Typo.

	* SCSI.cs:
	  Don't try to decode Version Descriptors if there are none.
	Also there are devices on the wild with less than 8 VDs.

2015-10-19  Natalia Portillo  <claunia@claunia.com>

	* ATA.cs:
	  Added ATA/ATAPI IDENTIFY DEVICE disk tags.

2015-10-18  Natalia Portillo  <claunia@claunia.com>

	* BD.cs:
	* CD.cs:
	* ATA.cs:
	* MMC.cs:
	* SCSI.cs:
	* DiscImageChef.Decoders.csproj:
	  Added specific console handling for standard, verbose, debug
	  and error outputs.

2015-10-17  Natalia Portillo  <claunia@claunia.com>

	* SCSI.cs:
	  Added information from RFC 7144.

2015-10-17  Natalia Portillo  <claunia@claunia.com>

	* SCSI.cs:
	  Added information from SPC-5.

2015-10-17  Natalia Portillo  <claunia@claunia.com>

	* SCSI.cs:
	  Updated to lastest T10 vendor list.

2015-10-17  Natalia Portillo  <claunia@claunia.com>

	* SCSI.cs:
	  Changed version descriptor decoding to a cleaner and more
	  easily upgradable code.

2015-10-17  Natalia Portillo  <claunia@claunia.com>

	* SCSI.cs:
	  Added information from SPC-4.

2015-10-17  Natalia Portillo  <claunia@claunia.com>

	* SCSI.cs:
	  Added info from SCSI-2 specification.

2015-10-17  Natalia Portillo  <claunia@claunia.com>

	* ATA.cs:
	* SCSI.cs:
	* DiscImageChef.Decoders.csproj:
	  Implement ATA/ATAPI IDENTIFY decoder.

2015-10-16  Natalia Portillo  <claunia@claunia.com>

	* ATA.cs:
	* DiscImageChef.Decoders.csproj:
	  Added structure for ATA/ATAPI IDENTIFY [PACKET] DEVICE
	  response

2015-10-13  Natalia Portillo  <claunia@claunia.com>

	* SCSI.cs:
	  Correct size miscalculation.
	Do not print "Device claims no standard", generates too much
	  noise.

2015-10-05  Natalia Portillo  <claunia@claunia.com>

	* CD.cs:
	* BD.cs:
	* MMC.cs:
	* DVD.cs:
	* SCSI.cs:
	* Floppy.cs:
	* Properties/AssemblyInfo.cs:
	* DiscImageChef.Decoders.csproj:
	  Move decoders to a separate library.

